diff -cprN head/doc/src/sgml/ddl.sgml work/doc/src/sgml/ddl.sgml
*** head/doc/src/sgml/ddl.sgml	2010-02-25 09:58:18.518068000 +0900
--- work/doc/src/sgml/ddl.sgml	2010-03-31 15:46:11.748532000 +0900
*************** CREATE TABLE order_items (
*** 845,850 ****
--- 845,880 ----
      <xref linkend="sql-createtable" endterm="sql-createtable-title">.
     </para>
    </sect2>
+ 
+   <sect2>
+    <title>Exclusion constraints</title>
+ 
+    <indexterm>
+     <primary>exclusion constraint</primary>
+    </indexterm>
+ 
+    <indexterm>
+     <primary>constraint</primary>
+     <secondary>exclusion</secondary>
+    </indexterm>
+ 
+    <para>
+     Exclusion constraints ensure that that if any two rows are compared on
+     the specified column(s) or expression(s) using the specified operator(s),
+     not all of these comparisons will return <literal>TRUE</>. The syntax is:
+ <programlisting>
+ CREATE TABLE circles (
+     c circle,
+     EXCLUDE USING gist (c WITH &amp;&amp;)
+ );
+ </programlisting>
+    </para>
+ 
+    <para>
+     See also <link linkend="SQL-CREATETABLE-exclude"><command>CREATE
+     TABLE ... CONSTRAINT ... EXCLUDE</></link> for details.
+    </para>
+   </sect2>
   </sect1>
  
   <sect1 id="ddl-system-columns">
diff -cprN head/doc/src/sgml/ref/create_table.sgml work/doc/src/sgml/ref/create_table.sgml
*** head/doc/src/sgml/ref/create_table.sgml	2010-03-01 10:46:55.122677000 +0900
--- work/doc/src/sgml/ref/create_table.sgml	2010-03-31 15:38:12.374337000 +0900
*************** CREATE [ [ GLOBAL | LOCAL ] { TEMPORARY 
*** 455,461 ****
      </listitem>
     </varlistentry>
  
!    <varlistentry>
      <term><literal>EXCLUDE [ USING <replaceable class="parameter">index_method</replaceable> ] ( <replaceable class="parameter">exclude_element</replaceable> WITH <replaceable class="parameter">operator</replaceable> [, ... ] ) <replaceable class="parameter">index_parameters</replaceable> [ WHERE ( <replaceable class="parameter">predicate</replaceable> ) ]</literal></term>
      <listitem>
       <para>
--- 455,461 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="SQL-CREATETABLE-exclude">
      <term><literal>EXCLUDE [ USING <replaceable class="parameter">index_method</replaceable> ] ( <replaceable class="parameter">exclude_element</replaceable> WITH <replaceable class="parameter">operator</replaceable> [, ... ] ) <replaceable class="parameter">index_parameters</replaceable> [ WHERE ( <replaceable class="parameter">predicate</replaceable> ) ]</literal></term>
      <listitem>
       <para>
diff -cprN head/doc/src/sgml/release-9.0.sgml work/doc/src/sgml/release-9.0.sgml
*** head/doc/src/sgml/release-9.0.sgml	2010-03-24 11:50:12.991168000 +0900
--- work/doc/src/sgml/release-9.0.sgml	2010-03-31 15:23:51.604012000 +0900
***************
*** 285,291 ****
            <listitem>
              <para>
                Allow per-tablespace sequential and random page cost variables
!               (<varname>seq_page_cost</>/(<varname>random_page_cost</>)) via
                <link linkend="SQL-ALTERTABLESPACE"><command>ALTER TABLESPACE
                ...  SET/RESET</></link> (Robert Haas)
              </para>
--- 285,291 ----
            <listitem>
              <para>
                Allow per-tablespace sequential and random page cost variables
!               (<varname>seq_page_cost</> and <varname>random_page_cost</>) via
                <link linkend="SQL-ALTERTABLESPACE"><command>ALTER TABLESPACE
                ...  SET/RESET</></link> (Robert Haas)
              </para>
***************
*** 811,818 ****
  
              <para>
                This is enabled with the <link
!               linkend="SQL-CREATETABLE-description"><command>CREATE
!               TABLE CONSTRAINT ...  EXCLUDE</></link> clause.  While
                uniqueness checks could be specified using this syntax,
                the real value of this feature is in using complex
                operators that do not have built-in constraints.
--- 811,818 ----
  
              <para>
                This is enabled with the <link
!               linkend="SQL-CREATETABLE-exclude"><command>CREATE
!               TABLE ... CONSTRAINT ... EXCLUDE</></link> clause.  While
                uniqueness checks could be specified using this syntax,
                the real value of this feature is in using complex
                operators that do not have built-in constraints.